Skip to main content

Create service request

POSThttps://api.propexo.com/v1/service-requests/

Create a service request for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    employee_idstring

    The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.

    integration_idstringrequired
    vendor_idstring

    The Propexo unique identifier for the vendor

    property_idstring

    The Propexo unique identifier for the property

    resident_idstring

    The Propexo unique identifier for the resident

    unit_idstring

    The Propexo unique identifier for the unit

    service_descriptionstring

    A description of the service request

    Possible values: <= 35 characters

    service_prioritystring

    The priority level associated with the service request

    Show 5 enum values
    HighLowMed24 hoursEmergency
    service_statusstring

    The status associated with the service request

    Show 5 enum values
    NewInProgressCompletedDeferredClosed
    access_is_authorizedboolean

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_detailsstring

    Details about the service request

    access_notesstring

    Notes regarding access to the unit associated with the service request

    date_duestring<date-time>

    The due date associated with the service request

    invoice_numberstring

    The invoice or reference number that the vendor assigned to the service request

    notesstring

    Notes associated with the service request

    Possible values: <= 65535 characters

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    service_request_priority_idstring

    The Propexo unique identifier for the service request priority

    service_request_location_idstring

    The Propexo unique identifier for the service request location

    service_request_problem_idstring

    The Propexo unique identifier for the service request problem

    due_datestring<date-time>

    The due date associated with the service request

    is_floatingboolean
    scheduled_end_datestring<date-time>

    The scheduled end date associated with the request. If provided, scheduled_start_date must be provided as well, and they must be the same day (Entrata restriction).

    scheduled_start_datestring<date-time>

    The scheduled start date associated with the request. If provided, scheduled_end_date must be provided as well, and they must be the same day (Entrata restriction).

    phone_1string
    lease_idstring

    The Propexo unique identifier for the lease

    date_createdstring<date-time>

    The date the service request was created

    status_rawstring

    The raw status associated with the service request

    Show 17 enum values
    AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork Completed
    has_petsboolean

    Whether there are pets associated with the unit

    has_alarmboolean

    Whether there is an alarm associated with the unit

    completion_notesstring

    Closing notes associated with the service request

    date_enteredstring

    The date of entry for the service request

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    date_scheduledstring<date-time>

    The date the service request is scheduled

    service_categorystring

    The category of service request

    Show 5 enum values
    ElectricalHVACOtherPlumbingService
    date_completedstring<date-time>

    The date the service request was completed

    access_is_authorized_valuestring

    Type of permission needed to enter the unit. Possible values: "ENTER_AT_ANY_TIME" - Enter any time, "BY_PERMISSION_ONLY" - By permission only, "CALL_FOR_ENTRY" - Call for entry

    Show 3 enum values
    ENTER_AT_ANY_TIMEBY_PERMISSION_ONLYCALL_FOR_ENTRY
    service_request_status_idstring

    The Propexo unique identifier for the service request status

    vendor_notesstring

    Vendor/technician notes associated with the service request

    Possible values: <= 127 characters

    reported_bystring

    The name of the person who reported this service request

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/
curl -X POST https://api.propexo.com/v1/service-requests/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}